Send a bulk message
curl --request POST \
--url https://api.heullo.com/api/v1/sms/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"message": "<string>",
"metadata": {},
"name": "<string>",
"personalized": true,
"personalizedMessages": [
{
"message": "<string>",
"recipient": "<string>"
}
],
"recipients": [
"<string>"
],
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://api.heullo.com/api/v1/sms/bulk"
payload = {
"callbackUrl": "<string>",
"message": "<string>",
"metadata": {},
"name": "<string>",
"personalized": True,
"personalizedMessages": [
{
"message": "<string>",
"recipient": "<string>"
}
],
"recipients": ["<string>"],
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrl: '<string>',
message: '<string>',
metadata: {},
name: '<string>',
personalized: true,
personalizedMessages: [{message: '<string>', recipient: '<string>'}],
recipients: ['<string>'],
scheduledFor: '2023-11-07T05:31:56Z',
senderId: '<string>',
templateId: '<string>'
})
};
fetch('https://api.heullo.com/api/v1/sms/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/sms/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'callbackUrl' => '<string>',
'message' => '<string>',
'metadata' => [
],
'name' => '<string>',
'personalized' => true,
'personalizedMessages' => [
[
'message' => '<string>',
'recipient' => '<string>'
]
],
'recipients' => [
'<string>'
],
'scheduledFor' => '2023-11-07T05:31:56Z',
'senderId' => '<string>',
'templateId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/sms/bulk"
payload := strings.NewReader("{\n \"callbackUrl\": \"<string>\",\n \"message\": \"<string>\",\n \"metadata\": {},\n \"name\": \"<string>\",\n \"personalized\": true,\n \"personalizedMessages\": [\n {\n \"message\": \"<string>\",\n \"recipient\": \"<string>\"\n }\n ],\n \"recipients\": [\n \"<string>\"\n ],\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/sms/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"callbackUrl\": \"<string>\",\n \"message\": \"<string>\",\n \"metadata\": {},\n \"name\": \"<string>\",\n \"personalized\": true,\n \"personalizedMessages\": [\n {\n \"message\": \"<string>\",\n \"recipient\": \"<string>\"\n }\n ],\n \"recipients\": [\n \"<string>\"\n ],\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/sms/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callbackUrl\": \"<string>\",\n \"message\": \"<string>\",\n \"metadata\": {},\n \"name\": \"<string>\",\n \"personalized\": true,\n \"personalizedMessages\": [\n {\n \"message\": \"<string>\",\n \"recipient\": \"<string>\"\n }\n ],\n \"recipients\": [\n \"<string>\"\n ],\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"batchId": "<string>",
"createdAt": "<string>",
"duplicatesRemoved": 123,
"managementId": "<string>",
"messageContent": "<string>",
"name": "<string>",
"originalRecipientsCount": 123,
"recipientCount": 123,
"scheduledFor": "<string>",
"senderId": "<string>",
"status": "<string>",
"taskId": "<string>",
"template": true,
"uniqueRecipientsCount": 123
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}SMS
Send a bulk message
Accepts an organization API key with the sms:send scope.
POST
/
api
/
v1
/
sms
/
bulk
Send a bulk message
curl --request POST \
--url https://api.heullo.com/api/v1/sms/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"message": "<string>",
"metadata": {},
"name": "<string>",
"personalized": true,
"personalizedMessages": [
{
"message": "<string>",
"recipient": "<string>"
}
],
"recipients": [
"<string>"
],
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://api.heullo.com/api/v1/sms/bulk"
payload = {
"callbackUrl": "<string>",
"message": "<string>",
"metadata": {},
"name": "<string>",
"personalized": True,
"personalizedMessages": [
{
"message": "<string>",
"recipient": "<string>"
}
],
"recipients": ["<string>"],
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrl: '<string>',
message: '<string>',
metadata: {},
name: '<string>',
personalized: true,
personalizedMessages: [{message: '<string>', recipient: '<string>'}],
recipients: ['<string>'],
scheduledFor: '2023-11-07T05:31:56Z',
senderId: '<string>',
templateId: '<string>'
})
};
fetch('https://api.heullo.com/api/v1/sms/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/sms/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'callbackUrl' => '<string>',
'message' => '<string>',
'metadata' => [
],
'name' => '<string>',
'personalized' => true,
'personalizedMessages' => [
[
'message' => '<string>',
'recipient' => '<string>'
]
],
'recipients' => [
'<string>'
],
'scheduledFor' => '2023-11-07T05:31:56Z',
'senderId' => '<string>',
'templateId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/sms/bulk"
payload := strings.NewReader("{\n \"callbackUrl\": \"<string>\",\n \"message\": \"<string>\",\n \"metadata\": {},\n \"name\": \"<string>\",\n \"personalized\": true,\n \"personalizedMessages\": [\n {\n \"message\": \"<string>\",\n \"recipient\": \"<string>\"\n }\n ],\n \"recipients\": [\n \"<string>\"\n ],\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/sms/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"callbackUrl\": \"<string>\",\n \"message\": \"<string>\",\n \"metadata\": {},\n \"name\": \"<string>\",\n \"personalized\": true,\n \"personalizedMessages\": [\n {\n \"message\": \"<string>\",\n \"recipient\": \"<string>\"\n }\n ],\n \"recipients\": [\n \"<string>\"\n ],\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/sms/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callbackUrl\": \"<string>\",\n \"message\": \"<string>\",\n \"metadata\": {},\n \"name\": \"<string>\",\n \"personalized\": true,\n \"personalizedMessages\": [\n {\n \"message\": \"<string>\",\n \"recipient\": \"<string>\"\n }\n ],\n \"recipients\": [\n \"<string>\"\n ],\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"batchId": "<string>",
"createdAt": "<string>",
"duplicatesRemoved": 123,
"managementId": "<string>",
"messageContent": "<string>",
"name": "<string>",
"originalRecipientsCount": 123,
"recipientCount": 123,
"scheduledFor": "<string>",
"senderId": "<string>",
"status": "<string>",
"taskId": "<string>",
"template": true,
"uniqueRecipientsCount": 123
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Trace ID for request tracking
Body
application/json
Available options:
SMS, FLASH, BINARY, WAP_PUSH, UNICODE, TRANSACTIONAL, PROMOTIONAL, OTP, REMINDER, TEXT, TEMPLATE, BULK, MARKETING Maximum string length:
160Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum array length:
1Minimum string length:
1
